Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class SecureRandomParameters

    java.lang.Object
      org.apache.cxf.configuration.security.SecureRandomParameters

    public class SecureRandomParameters

extends java.lang.Object

This structure holds the parameters for the Secure Random Number generator used in the JSSE.

Java class for SecureRandomParameters complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SecureRandomParameters">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="algorithm" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           <attribute name="provider" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `algorithm`
`protected java.lang.String` | `provider`

Constructor Summary
`SecureRandomParameters()`

Method Summary
`java.lang.String` | `getAlgorithm()` Gets the value of the algorithm property.
`java.lang.String` | `getProvider()` Gets the value of the provider property.
`boolean` | `isSetAlgorithm()`
`boolean` | `isSetProvider()`
`void` | `setAlgorithm(java.lang.String value)` Sets the value of the algorithm property.
`void` | `setProvider(java.lang.String value)` Sets the value of the provider property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### algorithm

    protected java.lang.String algorithm

### provider

    protected java.lang.String provider

Constructor Detail

### SecureRandomParameters

    public SecureRandomParameters()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Gets the value of the algorithm property.

  Returns:
    possible object is `String`

### setAlgorithm

    public void setAlgorithm(java.lang.String value)

  Sets the value of the algorithm property.

  Parameters:
    `value` - allowed object is `String`

### isSetAlgorithm

    public boolean isSetAlgorithm()

### getProvider

    public java.lang.String getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `String`

### setProvider

    public void setProvider(java.lang.String value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `String`

### isSetProvider

    public boolean isSetProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.